package aventi.epark.activities;

import android.Manifest;
import android.content.Intent;
import android.os.Bundle;
import android.widget.Toast;

import aventi.epark.R;
import aventi.epark.permissions.absRuntimePermission;

import static java.lang.Thread.sleep;

public class SplashScreen extends absRuntimePermission {


    private static final int REQUEST_PERMISSION = 10;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_splash_screen);

        requestAppPermissions(new String[]{Manifest.permission.ACCESS_COARSE_LOCATION}, R.string.msg,REQUEST_PERMISSION);

        Thread myThread = new Thread() {
            @Override
            public void run() {
                try {
                    sleep(4000);
                    Intent intent = new Intent(getApplicationContext(), LoginActivity.class);
                    startActivity(intent);
                    finish();
                } catch (InterruptedException e) {
                    e.printStackTrace();
                }

            }
        };
        myThread.start();
    }

    @Override
    public void onPermissionGranted(int requestCode) {
        // Do anything when permission granted
        Toast.makeText(getApplicationContext(), "Permission granted", Toast.LENGTH_LONG).show();
    }
}